### Method

# Gcr SystemPrompt get_secret_exchange

#### Declaration [src]

    GcrSecretExchange*
    gcr_system_prompt_get_secret_exchange (
      GcrSystemPrompt* self
    )

#### Description [src]

Get the current `GcrSecretExchange` used to transfer secrets in this prompt.

Gets property | `Gcr.SystemPrompt:secret-exchange`

#### Return value

Type: `GcrSecretExchange`

The secret exchange.

The returned data is owned by the instance.